# parallel\Future::cancel

(0.9.0)

parallel\Future::cancel — Annulation

### Description

public parallel\Future::cancel(): bool

Essaie d'annuler la tâche.

> Note:

> Si la tâche est en cours d'exécution, elle sera interrompue.

Avertissement

Les appels de fonctions internes en cours ne peuvent pas être interrompus.

### Exceptions

Avertissement

Lance une parallel\Future\Error\Killed si la tâche exécutée par parallel\Runtime a été interrompue.

Avertissement

Lance une parallel\Future\Error\Cancelled si la tâche a déjà été annulée.